﻿package {
	import flash.display.*;
	import flash.events.*;
	import Content_Manager; // Import the content manager
	
	public class Add_Page extends MovieClip {
		private var my_cm:Content_Manager; 	// Declare a variable as type Content_Manager 
											// it will hold an instance of the Content_Manager class
		
		/********************************************************************/
		// Constructor
		public function Add_Page() {
			my_cm = new Content_Manager( this ); 	// Make a new instance of the content manager class
			addChild( my_cm );						// Content_Manager extends MovieClip so it is a display object. 
													// In order to see it we need to add it to the display list
													
			// Since Content_Manager is a MovieClip you can set it's x y and other properties in the same way you 
			// set them for a MovieClip. Try
			// my_cm.x = 100;
			
			b_0.addEventListener( MouseEvent.CLICK, b_0_click );	// Set up Event Listeners for each button
			b_1.addEventListener( MouseEvent.CLICK, b_1_click );
			b_2.addEventListener( MouseEvent.CLICK, b_2_click );
		}
		/*********************************************************************/
		
		
		private function b_0_click( evt:Event ):void {
			my_cm.add_content( Orange_Box ); 	// Call add_content() on the Content_Manager instance to display a new 
												// symbol. You must pass the Class name of a linked symbol in the library. 
		}
		
		private function b_1_click( evt:Event ):void {
			my_cm.add_content( Red_Box );
		}
		
		private function b_2_click( evt:Event ):void {
			my_cm.add_content( Green_Box );
		}
		
	}
}



